%define	module	passwd
%define	name	horde-%{module}
%define	version	2.2.1
%define	release	4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The Horde password management application
License:	GPL
Group:		System/Servers
Source0:	ftp://ftp.horde.org/pub/%{module}/%{module}-%{version}.tar.bz2
Source2:	%{module}-horde.conf.bz2
URL:		http://www.horde.org/%{module}/
Requires:	horde >= 3.0
BuildArch:	noarch
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Passwd is the Horde password changing application. While it has been released
and is in production use at many sites, it is also under heavy development in
an effort to expand and improve the module.

Right now, Passwd provides fairly complete support for changing passwords via
poppassd, ldap, unix expect scripts, the unix smbpasswd command for smb/cifs
password support, servuftp, vmailmgr, vpopmail, and sql passwords.

Passwd is part of a suite of account management modules for Horde consisting of
Accounts, Forwards, Passwd, and Vacation.

%prep

%setup -q -n %{module}-%{version}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%install
rm -rf $RPM_BUILD_ROOT

# horde configuration
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/horde/registry.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/horde/registry.d/%{module}.php

# remove .htaccess files
find . -name .htaccess -exec rm -f {} \;

# install files
install -d -m 755 $RPM_BUILD_ROOT%{_var}/www/horde/%{module}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/horde/%{module}
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/horde
cp -pR *.php $RPM_BUILD_ROOT%{_var}/www/horde/%{module}
cp -pR graphics $RPM_BUILD_ROOT%{_var}/www/horde/%{module}
cp -pR lib $RPM_BUILD_ROOT%{_datadir}/horde/%{module}
cp -pR locale $RPM_BUILD_ROOT%{_datadir}/horde/%{module}
cp -pR scripts $RPM_BUILD_ROOT%{_datadir}/horde/%{module}
cp -pR templates $RPM_BUILD_ROOT%{_datadir}/horde/%{module}
cp -pR config $RPM_BUILD_ROOT%{_sysconfdir}/horde/%{module}

# use symlinks to recreate original structure
pushd $RPM_BUILD_ROOT%{_var}/www/horde/%{module}
ln -s ../../../..%{_sysconfdir}/horde/%{module} config
ln -s ../../../..%{_datadir}/horde/%{module}/lib .
ln -s ../../../..%{_datadir}/horde/%{module}/locale .
ln -s ../../../..%{_datadir}/horde/%{module}/templates .
popd

# activate configuration files
for file in $RPM_BUILD_ROOT%{_sysconfdir}/horde/%{module}/*.dist; do
	mv $file ${file%.dist}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README docs
%config(noreplace) %{_sysconfdir}/horde/registry.d/%{module}.php
%config(noreplace) %{_sysconfdir}/horde/%{module}
%{_datadir}/horde/%{module}
%{_var}/www/horde/%{module}

%changelog
* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.1-4mdk
- spec file cleanups, remove the ADVX-build stuff
- strip away annoying ^M

* Fri Jan 14 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-3mdk 
- top-level is now %{_var}/www/horde/%{module}
- config is now in %{_sysconfdir}/horde/%{module}
- other non-accessible files are now in %{_datadir}/horde/%{module}
- no more apache configuration
- rpmbuildupdate aware
- spec cleanup

* Tue Sep 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-2mdk 
- fixed icon name in horde config

* Sat Sep 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-1mdk 
- new release
- correct description

* Mon Jul 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-5mdk 
- apache config file in %{_sysconfdir}/httpd/webapps.d

* Fri Jul 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-4mdk 
- really remove useless provide

* Sat May 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-3mdk
- renamed to %{name}
- pluggable horde configuration
- standard perms for %{_sysconfdir}/httpd/conf.d/%{order}_%{name}.conf
- don't provide useless ADVXpackage virtual package

* Tue Apr 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-1mdk
- first distinct package
